Photoshop 6.01 to Upgrade to 7.0

JH
Posted By
J Howatt
Sep 24, 2003
Views
621
Replies
13
Status
Closed
I am currently using Photoshop 6.01 and would like to upgrade to 7.0. Do I just buy the Photoshop 7.0 upgrade?
G
graffiti
Sep 24, 2003
Yup.
P
Phosphor
Sep 24, 2003
Then run the 7.0.1 updater.
BL
Bob Levine
Sep 24, 2003
The 7.0.1 patch is already applied to anything in the retail channel. But I’d wait til next week to buy it. Adobe is having a big product launch event in NYC next Monday.

If the new version of PS is announced I would imagine you’d be entitled to a free copy of it if you buy 7.0 after the announcement.

Bob
DM
dave milbut
Sep 25, 2003
wait a bit. 8 is about to be released.

it if you buy 7.0 after the announcement.

but I’d double check that w/customer service.
BL
Bob Levine
Sep 25, 2003
dave milbut wrote:

but I’d double check that w/customer service.

Absolutely, but you do have to wait until it’s announced. This forum is always crawling with complaints right after new version announcement by people who bought the last version a week before the new one was announced.

Bob
DM
dave milbut
Sep 25, 2003
. This forum is always crawling with complaints right after new version announcement by people who bought the last version a week before the new one was announced.

I got burned buying premire about 2 weeks before the announcement of an upgrade. Live and learn.
BL
Bob Levine
Sep 25, 2003
Go to the Premier forum and complain. There are enough whiners about Photoshop upgrades. We don’t need to hear your sad story, too. <VBG>

Bob
DM
dave milbut
Sep 26, 2003
well slap me around and call me susan! sooooooory! 🙂
L
LenHewitt
Sep 26, 2003
Hi, Susan <g>
BL
Bob Levine
Sep 26, 2003
Good morning, Susan.

<slap, slap, slap>

Bob
DM
dave milbut
Sep 26, 2003
you guys are harsh! 🙂
BL
Bob Levine
Sep 27, 2003
You want harsh? Wait til next week when the new verisons of Adobe software are announce. These forums will be attacked by people who just bought the software two weeks ago and are now "stuck" with outdated software and somehow think that they are entitled to free upgrades.

I for one shall have some choice words for them. 🙂

Bob
DM
dave milbut
Sep 28, 2003
I had premire 5 (something 5.0?) as part of the dynamic media collection about 2 weeks before 6 was announced. that sucked. caused me to skip a version on principle. 🙂

Powered by Creative Market

Related Discussion Topics

Nice and short text about related topics in discussion sections